<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
xmlns:app="http://schemas.android.com/apk/res-auto"
xmlns:tools="http://schemas.android.com/tools"
android:layout_width="match_parent"
android:layout_height="match_parent"
android:orientation="vertical"
tools:context=".MainActivity"
    android:background="@color/white"
android:id="@+id/homePage">

<LinearLayout

    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:id="@+id/big_v"
    android:visibility="visible"
    android:background="@android:color/transparent"
    >

    <TextView
        android:id="@+id/inputText"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="6"
        android:padding="10dp"
        android:textSize="40dp"
        android:textColor="@color/black"
        android:gravity="center_vertical" />

    <TextView
        android:id="@+id/outputText"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:gravity="end"
        android:textColor="@color/black"
        android:textAlignment="textEnd"
        android:autoSizeTextType="uniform"
        android:textSize="80dp" />

    <LinearLayout
        android:id="@+id/allBtn"
        android:layout_weight="3"
        android:background="#EEEEEE"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"
            >
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">
                <Button
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@android:color/transparent"
                    android:text="AC"
                    android:textSize="35dp"
                    android:textColor="#e67e22"
                    android:id="@+id/btn_clear"
                    >
                </Button>

                <Button
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@android:color/transparent"
                    android:text="←"
                    android:textSize="35dp"
                    android:textColor="#e67e22"
                    android:id="@+id/btn_backspace"
                    >

                </Button>
            </LinearLayout>


            <Button
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="3"
                android:background="@android:color/transparent"
                android:text="÷"
                android:textSize="35dp"
                android:textColor="#e67e22"
                android:id="@+id/btn_divide"
                >

            </Button>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"
            >

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:id="@+id/btn_7"
                android:text="7"
                android:textColor="@color/black"
                android:textSize="35dp">

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:id="@+id/btn_8"
                android:text="8"
                android:textColor="@color/black"
                android:textSize="35dp"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:id="@+id/btn_9"
                android:text="9"
                android:textColor="@color/black"
                android:textSize="35dp"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="×"
                android:textSize="35dp"
                android:textColor="#e67e22"
                android:id="@+id/btn_multiply"
                >

            </Button>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"
            >

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="4"
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_4"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="5"
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_5"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="6"
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_6"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="-"
                android:textSize="35dp"
                android:textColor="#e67e22"
                android:id="@+id/btn_subtract"
                >

            </Button>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"


            >

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="1"
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_1"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="2"
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_2"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="3"
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_3"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="+"
                android:textSize="35dp"
                android:textColor="#e67e22"
                android:id="@+id/btn_add"
                >

            </Button>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/fiveLow"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"


            >

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text=""
                android:textSize="35dp"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="0"
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_0"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="."
                android:textColor="@color/black"
                android:textSize="35dp"
                android:id="@+id/btn_point"
                >

            </Button>

            <Button
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:text="="
                android:textSize="35dp"
                android:textColor="#e67e22"
                android:id="@+id/btn_equal"
                >

            </Button>
        </LinearLayout>

    </LinearLayout>


</LinearLayout>


</LinearLayout>